## ucspi-tcp 0.88

=== debian/changelog ===
ucspi-tcp (1:0.88-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1098024)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Oct 2025 20:39:49 +0300

ucspi-tcp (1:0.88-13) unstable; urgency=medium

  * Drop the fakeroot-for-setgroups patch, sbuild handles that now.
    Closes: #1101263
  * Declare compliance with Policy 4.7.2 with no changes.
  * Minor refactoring of the autopkgtest internal testing.
  * Salsa CI configuration updates:
    - use the now-canonical debian/salsa-ci.yml filename
    - use the now-canonical "debian" recipe
    - do not target experimental
    - enable some optional features: build twice, force gbp-export-orig,
      enable diffoscope in the reprotest, only allow autopkgtest exit code 0
  * Add the corresponding Conflicts clause in the other direction.
  * Add Replaces clauses between the two packages.

 -- Peter Pentchev <roam@debian.org>  Tue, 25 Mar 2025 12:28:07 +0200

ucspi-tcp (1:0.88-12) unstable; urgency=medium

  * Use debputy's X-Style: black.
  * Add the fakeroot-for-setgroups patch to fix the FTBFS related to
    setgroups(2) in user namespaces. Closes: #1092535
  * autopkgtest: drop the obsolete config/ruff.all.toml file.
  * autopkgtest: use Ruff 0.8.6 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 09 Jan 2025 12:22:05 +0200

ucspi-tcp (1:0.88-11) unstable; urgency=medium

  * Add a missed instance to the 0010-gid-t patch. Closes: #1077203
  * Add my e-mail address to the Author field of the new patches.
  * Fix connecting to more than one host over IPv6. Closes: #1077315

 -- Peter Pentchev <roam@debian.org>  Sun, 28 Jul 2024 13:20:51 +0300

ucspi-tcp (1:0.88-10) unstable; urgency=medium

  * Add the 0007-ssize-t, 0008-int-main, 0009-malloc, and 0010-gid-t
    patches to fix the build with GCC 14. Closes: #1075596
  * autopkgtest:
    - switch from argparse to click for command-line parsing, if only to
      support correctly option values starting with dashes
  * autopkgtest internal test suite:
    - use Ruff 0.5.5 for linting, disable a docstrings exception list check
    - shuffle the Ruff config files around a bit

 -- Peter Pentchev <roam@debian.org>  Fri, 26 Jul 2024 14:54:02 +0300

ucspi-tcp (1:0.88-9) unstable; urgency=medium

  * Import the 0006-implicit-declarations Ubuntu patch to fix
    the FTBFS in Debian unstable due to the new compiler warning
    options turned into errors by default. Closes: #1066629
  * Declare compliance with Policy 4.7.0 with no changes.
  * Bump the debhelper compat level to 14 and let it add some
    default dependencies automatically.
  * autopkgtest: code style: use Ruff 0.5.0 with practically no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 13:59:27 +0300

ucspi-tcp (1:0.88-8) unstable; urgency=medium

  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * autopkgtest:
    - fix a server/client mismatch in a log message
    - only pass "-R" if supported, do not pass "--"
    - support verbose logs to the standard output stream
    - run {proto}server with line-buffered stdout and stderr
    - dynamic version, bump it to 0.2.0
    - read all the data from the socket
  * autopkgtest internal test suite:
    - tox.ini: add tags for running tox-stages
    - do not pass the python_version option to mypy, let it check against
      the Python interpreter that it is being run with
    - use hatchling for the PEP517 build
    - convert tox.ini to the Tox 4.x format
    - use Ruff instead of black, flake8, and pylint
    - reformat and refactor the source code according to Ruff's suggestions

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 11:57:42 +0200

ucspi-tcp (1:0.88-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add Gitlab CI config file
  * Do not run tests under Gitlab CI

  [ Peter Pentchev ]
  * New maintainer. Closes: #983804
  * Declare compliance with Policy 4.6.2 with no changes.
  * Set the debhelper compat level to 13 with no changes.
  * Add an EditorConfig definitions file.
  * Run a custom test suite at build-time and as an autopkgtest.
  * Clean up after a build.
  * Show the compiler and linker invocations unless "terse" is requested.
  * Do not use "tee" to generate the config files.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Remove leading slashes from debian/*.install.
  * No longer mention ucspi-tcp-doc, no such package for a long time.

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 04:05:08 +0200

ucspi-tcp (1:0.88-6) unstable; urgency=medium

  * Remove references to patched-out `rbl.maps.vix.com' host from manpage
    (Closes: #681739)
  * Install example http server, serving log file with chunked transfer
    encoding (Closes: #772209)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 06:30:43 +0000

ucspi-tcp (1:0.88-5) unstable; urgency=medium

  * Do not include build path into resulting scripts (Closes: #915511)
    + Make upstream build system respect $(DESTDIR) variable

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 05 Dec 2018 15:47:18 +0000

ucspi-tcp (1:0.88-4) unstable; urgency=medium

  * New maintainer (Closes: #907094)
  * Convert patches to quilt
  * Convert `debian/rules' to debhelper
  * Respect compiler flags, provided by dpkg-buildflags(1)
  * Remove very old news from source package
  * Do not install useless files (README, TODO, VERSION)
  * Fix whitespace errors in `debian/control' and `debian/changelog'
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in debian/control.
  * Make `debian/copyright' comply with dep-5.
  * Add `Homepage' field into `debian/control'
  * Write `debian/watch' file.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 01 Dec 2018 22:02:19 +0000

ucspi-tcp (1:0.88-3.1) unstable; urgency=medium

  * Non-maintainer upload.

