=== debian/control ===
Source: ucspi-tcp
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dpkg-build-api (= 1),
 python3 <!nocheck>,
 python3-click <!nocheck>,
 python3-netifaces <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.7.2
X-DH-Compat: 14
Homepage: http://cr.yp.to/ucspi-tcp
Vcs-Git: https://salsa.debian.org/debian/ucspi-tcp.git
Vcs-Browser: https://salsa.debian.org/debian/ucspi-tcp
X-Style: black

Package: ucspi-tcp
Conflicts:
 ucspi-tcp-ipv6,
Replaces:
 ucspi-tcp-ipv6,
Architecture: any
Description: command-line tools for building TCP client-server applications
 tcpserver waits for incoming connections and, for each connection, runs a
 program of your choice. Your program receives environment variables showing
 the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd's hosts.allow but much faster. Its access control rules
 are compiled into a hashed format with cdb, so it can easily deal with
 thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and output
 of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It sets
 up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. UCSPI tools are
 available for several different networks.

Package: ucspi-tcp-ipv6
Architecture: any
Conflicts:
 ucspi-tcp,
Replaces:
 ucspi-tcp,
Provides:
 ucspi-tcp,
Description: command-line tools for building TCP client-server applications (IPv6)
 ucspi-tcp-ipv6 is the ucspi-tcp package with IPv6 support added.
 .
 tcpserver waits for incoming connections and, for each connection, runs a
 program of your choice. Your program receives environment variables showing
 the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd's hosts.allow but much faster. Its access control rules
 are compiled into a hashed format with cdb, so it can easily deal with
 thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and output
 of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It sets
 up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. UCSPI tools are
 available for several different networks.
