=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp,
Features:
 test-name=debian-python-v4,

Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp -i 4; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp-ipv6,
Features:
 test-name=debian-python-v6-4,

Test-Command: set -e; for py in $(py3versions -i); do printf -- '\n\n====== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/debian/tests/python" "$py" -B -u -m ucspi_tcp_test -d /usr/bin -p tcp -i 6; done
Depends:
 python3-all,
 python3-click,
 python3-netifaces,
 python3-utf8-locale,
 ucspi-tcp-ipv6,
Features:
 test-name=debian-python-v6,
