=== debian/watch ===
version=4
https://cr.yp.to/ucspi-tcp/install.html \
  .*ucspi-tcp-@ANY_VERSION@.tar.gz
