## ucspi-tcp 1.1.4

=== debian/changelog ===
ucspi-tcp (1.1.4-1.1+46.3) stable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Fri, 03 Oct 2025 11:15:56 +0000

ucspi-tcp (1.1.4-1.1) stable; urgency=low

  * tcpclient.c: added starttls capability for imap
  * dotls.c: added starttls handler for imap
  * tcpclient.c: added -e option to get remote host address from /etc/hosts
  * getip.c: new function getip() which uses getaddrinfo() to get remote host address
  * tcpserver.c: use INET6_ADDRLENSTRLEN for AF_INET6
  * Fixes for installer from daemontools package
  * Fix errors when using GCC14
  * installer.c: Fix SEGSEGV

 -- Manvendra Bhangui <ucspi-tcp@indimail.org>  Tue, 15 Apr 2025 02:55:11 +0000
