=== debian/control ===
Source: ucspi-tcp
Section: net
Priority: optional
Maintainer: Manvendra Bhangui <ucspi-tcp@indimail.org>
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 9), gcc, g++, automake, libqmail-dev, libssl-dev, m4, gawk
Homepage: https://github.com/indimail/indimail-mta

Package: ucspi-tcp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, diffutils
Description: tcpserver and tcpclient are easy-to-use command-line tools for building
 TCP client-server applications.
 .
 tcpserver waits for incoming connections and, for each connection, runs
 a program of your choice. Your program receives environment variables
 showing the local and remote host names, IP addresses, and port numbers.
 .
 tcpserver offers a concurrency limit to protect you from running out of
 processes and memory. When you are handling 40 (by default) simultaneous
 connections, tcpserver smoothly defers acceptance of new connections.
 .
 tcpserver also provides TCP access control features, similar to
 tcp-wrappers/tcpd\'s hosts.allow but much faster. Its access control
 rules are compiled into a hashed format with cdb, so it can easily deal
 with thousands of different hosts.
 .
 This package includes a recordio tool that monitors all the input and
 output of a server.
 .
 tcpclient makes a TCP connection and runs a program of your choice. It
 sets up the same environment variables as tcpserver.
 .
 This package includes several sample clients built on top of tcpclient:
 who@, date@, finger@, http@, tcpcat, and mconnect.
 .
 tcpserver and tcpclient conform to UCSPI, the UNIX Client-Server Program
 Interface, using the TCP protocol. This package supports ipv6 and TLS
 connections.
